Bug 578325 - authconfig uses sss for automount
authconfig uses sss for automount
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 949961
  Show dependency treegraph
 
Reported: 2010-03-30 17:31 EDT by Orion Poplawski
Modified: 2013-04-09 07:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: authconfig-6.1.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 949961 (view as bug list)
Environment:
Last Closed: 2010-04-22 18:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-03-30 17:31:10 EDT
Description of problem:

automount currently does not support sssd, but authconfig --enableldap --enablesssd results in:

automount: files sss

Needs to be:

automount: files ldap 

as before.

/var/log/messages shows:
Mar 30 13:46:11 cynosure automount[1118]: ignored unsupported autofs nsswitch source "sss"

and no automounted directories are available.

Version-Release number of selected component (if applicable):
authconfig-6.1.2-1.fc13
Comment 1 Tomas Mraz 2010-03-31 02:36:13 EDT
There is a slight problem with this - will that really work in all cases to combine sss and ldap in this way?

Wouldn't it be better to just disable sssd altogether if you need automount?
Comment 2 Stephen Gallagher 2010-03-31 07:27:47 EDT
Well, this is something of an interesting case. SSSD will work just fine combined with nss_ldap for other maps. However, it will add to the duties of authconfig.

Authconfig, when setting up LDAP as the identity store, will need to configure both the sssd.conf (for users and groups) and also the traditional ldap.conf (so nss_ldap can handle automount and friends).

The resulting configuration should be:

passwd    files sss
shadow    files sss
group     files sss
netgroup  files ldap
automount files ldap

This should be a perfectly sound configuration. As I said, the only limitation is that it requires configuring both sssd.conf and ldap.conf (which you may already be doing. I don't know the internals at the moment).
Comment 3 Tomas Mraz 2010-03-31 07:46:40 EDT
OK, I'll modify the nss configuration according to this.
Comment 4 Fedora Update System 2010-04-07 16:30:55 EDT
authconfig-6.1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/authconfig-6.1.3-1.fc13
Comment 5 Fedora Update System 2010-04-09 00:04:28 EDT
authconfig-6.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update authconfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/authconfig-6.1.3-1.fc13
Comment 6 Taunus 2010-04-16 03:44:21 EDT
On rhel5 I have:
automount files

in nsswitch.conf and it works anyway...?
Comment 7 Stephen Gallagher 2010-04-16 06:53:19 EDT
Taunus:
Are you using LDAP to serve automount information? If not, then this is irrelevant to you.
Comment 8 Taunus 2010-04-22 04:02:44 EDT
No I'm not
Comment 9 Fedora Update System 2010-04-22 18:57:27 EDT
authconfig-6.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Orion Poplawski 2010-04-22 19:04:35 EDT
Similar issue in RHEL 6:

automount:  files sss ldap

Should this be cloned to track that?
Comment 11 Tomas Mraz 2010-04-23 03:04:46 EDT
I don't need it, as we have authconfig-6.1.3 already staged for the next beta release.

Note You need to log in before you can comment on or make changes to this bug.